/**********************************************************************
* Modified by
* (C) NEC CASIO Mobile Communications, Ltd. 2011
**********************************************************************/




#define SZ_STR_MAX 42

    static int hasher(unsigned char *s) {
        int i, h = 0;

        for (i = 0; i < SZ_STR_MAX + 1 && s[i]; ++i) {
            unsigned int g;

            h = (h << 4) + s[i];
            if (g = h & 0xF0000000) {
                h ^= g >> 24;
                h ^= g;
            }
        }
        if (h < 0)
            __android_log_write(ANDROID_LOG_ERROR,
                    "logd_write", s);
        return h;
    }

    static const char * const hash_bucket_0[] = {
        "HiddenAKeyMenu",
        "AnalogClockWidgetConfigure",
        0
    };

    static const char * const hash_bucket_1[] = {
        "MimDisconnectDialogManager",
        "Otapa",
        "UimMonitor",
        "[Maintenance][JNI]Maintance",
        0
    };

    static const char * const hash_bucket_2[] = {
        "DunConnect",
        "buaclient.activity.BuaChangePin",
        "CarDockActivity",
        "WifiProgressActivity",
        0
    };

    static const char * const hash_bucket_3[] = {
        "BluetoothOppReceiveFileInfo",
        0
    };

    static const char * const hash_bucket_4[] = {
        "MimWidget",
        "BatteryChangedExtReceiver",
        "UimManagerImpl",
        0
    };

    static const char * const hash_bucket_8[] = {
        "EmergencyNumbersParam",
        "AppMainteUimLockService",
        0
    };

    static const char * const hash_bucket_10[] = {
        "SystemSelectPreferenceParam",
        "GpsPopupActivity",
        0
    };

    static const char * const hash_bucket_11[] = {
        "AuthencationKeyParam",
        "WMDRMD",
        0
    };

    static const char * const hash_bucket_12[] = {
        "NumberInputScreen",
        "MimStartActivity",
        "UimEsfIpAddr",
        0
    };

    static const char * const hash_bucket_13[] = {
        "LifetimeCallsParam",
        0
    };

    static const char * const hash_bucket_14[] = {
        "CradleEventReceiverService",
        "MimSignInWlmActivity",
        "BluetoothOppBtErrorActivity",
        "test ** parse",
        0
    };

    static const char * const hash_bucket_15[] = {
        "UimFailedUid",
        "ActiveSlot",
        "Dmc",
        "SetupappId",
        0
    };

    static const char * const hash_bucket_16[] = {
        "MimResetManager",
        "ViewGroup",
        "buaclient.receiver.AutoSyncReceiver",
        0
    };

    static const char * const hash_bucket_17[] = {
        "RenameRecordings",
        "MTPSERVICEIMP",
        "UimMeSetting",
        0
    };

    static const char * const hash_bucket_19[] = {
        "TTSWidgetProvider",
        "ErrFolderLockScreen",
        "UimImapServIpAddr",
        "[Maintenance][JAVA]DeviceSetting1",
        0
    };

    static const char * const hash_bucket_20[] = {
        "RadioListParam",
        "NextSetup",
        "CompassClock",
        0
    };

    static const char * const hash_bucket_21[] = {
        "LocationConsentActivity",
        "BluetoothProgressActivity",
        0
    };

    static const char * const hash_bucket_22[] = {
        "EditGroupActivity",
        0
    };

    static const char * const hash_bucket_23[] = {
        "[Maintenance][JNI]uim_clnt.c",
        0
    };

    static const char * const hash_bucket_24[] = {
        "DisconnectDialogInfo 0",
        "StringReadOnlyByteParam",
        "DIAG_3AXIS",
        0
    };

    static const char * const hash_bucket_25[] = {
        "DisconnectDialogInfo 1",
        "DmcFwService",
        "PacketSMSManager",
        0
    };

    static const char * const hash_bucket_26[] = {
        "MimResetDialogActivity",
        "DisconnectDialogInfo 2",
        "MWMAINTE",
        "FakeCamera",
        "UimHomepageUrl",
        0
    };

    static const char * const hash_bucket_27[] = {
        "CradleApp",
        "ApplicationPicker",
        0
    };

    static const char * const hash_bucket_28[] = {
        "AbstractProgressToas",
        "cdma_SMS",
        0
    };

    static const char * const hash_bucket_29[] = {
        "ESNScreen",
        "BootableList",
        0
    };

    static const char * const hash_bucket_31[] = {
        "DunReader",
        "AutoRetryParam",
        0
    };

    static const char * const hash_bucket_33[] = {
        "BatteryMeterScreen",
        "UimBrewLocationServIpAddr",
        0
    };

    static const char * const hash_bucket_34[] = {
        "PhoneNvWriteService",
        0
    };

    static const char * const hash_bucket_35[] = {
        "FLEXUI",
        "[Maintenance][JAVA]DevconfigService",
        0
    };

    static const char * const hash_bucket_36[] = {
        "FOTA-App",
        0
    };

    static const char * const hash_bucket_37[] = {
        "BluetoothOppTransferAdapter",
        "UimAuthentServIpAddr",
        "OtapaCtrl",
        0
    };

    static const char * const hash_bucket_38[] = {
        "UimDataModel",
        "[Maintenance][JAVA]MonitorView",
        0
    };

    static const char * const hash_bucket_39[] = {
        "buaclient.authenticator.BuaAuthenticator",
        "sensors_common",
        "UimUhmCompCB",
        "ICamera",
        0
    };

    static const char * const hash_bucket_40[] = {
        "BluetoothPbapRfcommTransport",
        0
    };

    static const char * const hash_bucket_41[] = {
        "MimSignInYahooActivity",
        "DmcFw",
        0
    };

    static const char * const hash_bucket_42[] = {
        "UimNewRecUid",
        "UimImapUserId",
        "AppMainteLockNoAuthReceiver",
        0
    };

    static const char * const hash_bucket_43[] = {
        "ncm_lights",
        "[Maintenance][JNI]PassWord",
        "CameraService",
        0
    };

    static const char * const hash_bucket_44[] = {
        "MimCirBackService",
        "LanguageListScreen",
        "PinAuthenticateCtrl",
        "[Maintenance][JAVA]RilService",
        0
    };

    static const char * const hash_bucket_46[] = {
        "buaclient.receiver.BootReceiver",
        "BackupAssistantClient",
        "PhoneApp",
        "PatternUnlockScreen",
        0
    };


    static const char * const hash_bucket_47[] = {
        "UimImapServMailAddr",
        0
    };

    static const char * const hash_bucket_49[] = {
        "BluetoothShare",
        "VoiceMemoService",
        0
    };

    static const char * const hash_bucket_50[] = {
        "MimNotify",
        "prox_lib",
        "buaclient.activity.BuaOldChangePin",
        0
    };

    static const char * const hash_bucket_51[] = {
        "BuaInvalidPin",
        0
    };

    static const char * const hash_bucket_52[] = {
        "buaclient.activity.BuaInputOldPin",
        "PinPukActivity",
        0
    };

    static const char * const hash_bucket_53[] = {
        "FlashLightWidgetProvider",
        "SIDScreen",
        "UimMsdMdn",
        0
    };

    static const char * const hash_bucket_55[] = {
        "HiddenHelpMenu",
        "UimMeSettingStr2",
        "SendCmailService",
        0
    };


    static const char * const hash_bucket_56[] = {
        "UimLocationServIpAddr",
        0
    };

    static const char * const hash_bucket_57[] = {
        "PrefModeParam",
        0
    };

    static const char * const hash_bucket_58[] = {
        "StringReadOnlyParam",
        "CopyrightActivity",
        0
    };

    static const char * const hash_bucket_59[] = {
        "MimContextSwitcher",
        "MimCompose",
        0
    };

    static const char * const hash_bucket_60[] = {
        "BrowserInformationScreen",
        "[Maintenance][JAVA]PortalMainMenu",
        0
    };

    static const char * const hash_bucket_61[] = {
        "ContactsApplication",
        "SetupWelcome",
        0
    };

    static const char * const hash_bucket_63[] = {
        "VoiceMemoService_DiskSpaceCalculator",
        0
    };

    static const char * const hash_bucket_64[] = {
        "DirectoryTitleDifferParam",
        "UimCardTypeCB",
        "MailProviDataProvider",
        0
    };

    static const char * const hash_bucket_65[] = {
        "MTPDBSYNCUTIL",
        0
    };

    static const char * const hash_bucket_66[] = {
        "CradleReceiverService",
        "buaclient.service.FactoryResetService",
        "[Maintenance][JAVA]ReSelection",
        "AppMaintePcDelReceiver",
        0
    };

    static const char * const hash_bucket_67[] = {
        "MimExternalService",
        "SetupWizard",
        "sensors_nv_sub_func",
        "buaclient.service.AuthenticationService",
        0
    };

    static const char * const hash_bucket_68[] = {
        "PrlIDParam",
        "TroubleShootingScreen",
        0
    };

    static const char * const hash_bucket_70[] = {
        "DeviceCapabilitiesScreen",
        "buaclient.activity.BuAFailedSelect",
        "buaclient.activity.BuaNewChangePin",
        "CompleteSubHandler",
        "[Maintenance][JAVA]BothMode",
        0
    };

    static const char * const hash_bucket_71[] = {
        "HiddenModchMenu",
        0
    };

    static const char * const hash_bucket_72[] = {
        "UimMaintenanceModeModel",
        "UimMaintenanceModeModel",
        "[Maintenance][JAVA]Provider",
        "[Maintenance][JNI]Cdma",
        "AppMainteLockNoReceiver",
        0
    };

    static const char * const hash_bucket_73[] = {
        "VoiceMemoWidgetProvider",
        "MailProviApp",
        0
    };

    static const char * const hash_bucket_74[] = {
        "CarHomeSettings",
        "Camera",
        "Camera",
        0
    };

    static const char * const hash_bucket_75[] = {
        "SHDRParam",
        "VoiceMailCallBackParam",
        "InitIntentReceiver",
        0
    };

    static const char * const hash_bucket_76[] = {
        "VideoTutorial",
        "SelectSetupAccount",
        "UimAdsRadiusId",
        "[CAMERA][APL][VERBOSE]",
        0
    };

    static const char * const hash_bucket_77[] = {
        "UimMentenanceAct",
        "SetupDateTime",
        0
    };

    static const char * const hash_bucket_78[] = {
        "MCCParam",
        0
    };

    static const char * const hash_bucket_80[] = {
        "MimDefaultSetting",
        "FunctionSwitcherService",
        0
    };

    static const char * const hash_bucket_81[] = {
        "MimEventDispacher",
        "BluetoothOppRfcommTransport",
        0
    };

    static const char * const hash_bucket_82[] = {
        "UimEsfRadiusId",
        0
    };

    static const char * const hash_bucket_84[] = {
        "cradleItemInfo",
        0
    };

    static const char * const hash_bucket_85[] = {
        "MimIntent",
        0
    };

    static const char * const hash_bucket_87[] = {
        "FOTA-SERVICE_EXTERNAL",
        0
    };

    static const char * const hash_bucket_88[] = {
        "MimNewMessageActivity",
        0
    };

    static const char * const hash_bucket_89[] = {
        "[Maintenance][JAVA]ProviderManager",
        0
    };

    static const char * const hash_bucket_90[] = {
        "MimGroup",
        "NotificationInfo",
        "TactileKeyIntentReceiver",
        "Camera-JNI",
        "PinInputScreen",
        0
    };

    static const char * const hash_bucket_91[] = {
        "ConfirmDialog",
        "UimArrayList",
        0
    };

    static const char * const hash_bucket_92[] = {
        "ncmlightslib",
        "UimManagerService",
        "WidgetDesignSelector",
        0
    };

    static const char * const hash_bucket_93[] = {
        "SBCORE",
        "[Maintenance][JAVA]Cdma",
        0
    };

    static const char * const hash_bucket_94[] = {
        "MimMulticastActivity",
        "buaclient.activity.BuAConfirmSetup",
        "DunReciever",
        0
    };

    static const char * const hash_bucket_96[] = {
        "SetupGoogleAccount",
        0
    };

    static const char * const hash_bucket_97[] = {
        "MEIDScreen",
        "FlashLightService",
        "MtpSyncTransferView",
        0
    };

    static const char * const hash_bucket_98[] = {
        "PasswordScreen",
        "NvWrapperReceiver",
        0
    };

    static const char * const hash_bucket_100[] = {
        "buaclient.activity.BuAAccountExistError",
        0
    };

    static const char * const hash_bucket_101[] = {
        "MtpSyncActivity",
        "NumberInputParam",
        "PlaybackActivity",
        "SetupWifi",
        0
    };

    static const char * const hash_bucket_102[] = {
        "DunService",
        "UimMsgMdlLineEntryCheckType",
        "DigitalClockWidgetConfigure",
        0
    };

    static const char * const hash_bucket_103[] = {
        "MMSDirectoryScreen",
        0
    };

    static const char * const hash_bucket_104[] = {
        "EriIDParam",
        "UimDebug",
        0
    };

    static const char * const hash_bucket_106[] = {
        "LocationBootupReceiver",
        "UimSubscriberId",
        0
    };

    static const char * const hash_bucket_107[] = {
        "PhoneSensorService",
        0
    };


    static const char * const hash_bucket_108[] = {
        "MimPreferenceActivity",
        "MimSavedChatList",
        "ShutdownReceiver",
        "AppMainteSubstanceLockService",
        0
    };

    static const char * const hash_bucket_109[] = {
        "* MemoWidgetProvider *",
        0
    };

    static const char * const hash_bucket_110[] = {
        "USB_Settings",
        0
    };

    static const char * const hash_bucket_111[] = {
        "Playback",
        "Setting_NvWrapper",
        0
    };

    static const char * const hash_bucket_112[] = {
        "StartTutorial",
        0
    };

    static const char * const hash_bucket_114[] = {
        "buaclient.service.AddAccountService",
        "FOTA-MANAGER-LINUX",
        "SetupGoogleCompletion",
        0
    };

    static const char * const hash_bucket_115[] = {
        "MimPortalBar",
        "UimProvision",
        0
    };

    static const char * const hash_bucket_116[] = {
        "MEIDParam",
        "AccountsSetup",
        "TrackBrowserActivity",
        "SlidingIcon",
        0
    };

    static const char * const hash_bucket_118[] = {
        "QuickGroupActivity",
        "TactileKeySetting",
        "[Maintenance][JAVA]QxdmEnabler",
        0
    };

    static const char * const hash_bucket_119[] = {
        "AllUserPhoneBookContentParam",
        "sensors_ak8977",
        "AllSWVersionsNumbersScreen",
        "UimMeSettingStr",
        "UimAdsIpAddrGen",
        0
    };

    static const char * const hash_bucket_120[] = {
        "RingtoneSectionView",
        "HomeView",
        "OtapaModel",
        "AbstractConsentActivity",
        "SendCmailReceiver",
        "PersonalizationSettings",
        "ClockDesignProvider",
        0
    };

    static const char * const hash_bucket_121[] = {
        "ChannelScreen",
        "MimSignInAimActivity",
        "MtpSyncViewBase",
        0
    };

    static const char * const hash_bucket_122[] = {
        "DunMonitor",
        "SWVersionScreen",
        0
    };

    static const char * const hash_bucket_123[] = {
        "PppService",
        0
    };

    static const char * const hash_bucket_124[] = {
        "AllUserPhoneBookContentScreen",
        0
    };

    static const char * const hash_bucket_125[] = {
        "AppMainteUimLockReceiver",
        "FOTA-SERVICE",
        0
    };

    static const char * const hash_bucket_126[] = {
        "ToolLauncherScreen",
        0
    };

    static const char * const hash_bucket_127[] = {
        "SetupExploreApp",
        "buaclient.activity.BuAControlActivity",
        "UimOtapaActivity",
        0
    };

    static const char * const hash_bucket_128[] = {
        "TechnologyScreen",
        "AppMainteLockNoAuthService",
        0
    };

    static const char * const hash_bucket_130[] = {
        "MimOperatingContactsDataBase",
        "BacklightParam",
        "CityIdContact",
        "UimEsfDomainName",
        "[Maintenance][JAVA]CdmaSetting",
        0
    };

    static const char * const hash_bucket_131[] = {
        "MDNParam",
        0
    };

    static const char * const hash_bucket_132[] = {
        "StringInputScreen",
        "buaclient.activity.BuAAccountSetting",
        "SetupInfoApp",
        "UsbActivity",
        0
    };

    static const char * const hash_bucket_133[] = {
        "AllHWVersionsNumbersParam",
        "PinAuthenticateModel",
        "FOTA-SERVICE_PHONE",
        0
    };

    static const char * const hash_bucket_134[] = {
        "DunDisconnect",
        0
    };

    static const char * const hash_bucket_135[] = {
        "NextBootSubHandler",
        0
    };

    static const char * const hash_bucket_136[] = {
        "LanguageParam",
        "MimPortalListActivity",
        "MediaButtonIntentReceiver",
        0
    };

    static const char * const hash_bucket_137[] = {
        "AllSWVersionsNumbersParam",
        "[CAMERA][APL][INFO   ]",
        0
    };

    static const char * const hash_bucket_139[] = {
        "SetupGoogleAccountNonRegistration",
        0
    };

    static const char * const hash_bucket_140[] = {
        "WebFiltering",
        "ICameraClient",
        "CameraServiceTest",
        0
    };


    static const char * const hash_bucket_141[] = {
        "DefaultApplicationManager",
        0
    };

    static const char * const hash_bucket_142[] = {
        "EVDOPreferenceParam",
        "SetupCompleted",
        "IpAddressParam",
        "UimMaintenanceComData",
        0
    };

    static const char * const hash_bucket_143[] = {
        "RestoreService",
        0
    };

    static const char * const hash_bucket_144[] = {
        "DisplayPhoneTypeParam",
        0
    };

    static const char * const hash_bucket_145[] = {
        "StringReadOnlyScreen",
        "MimService",
        0
    };

    static const char * const hash_bucket_146[] = {
        "PppServiceDialog",
        0
    };

    static const char * const hash_bucket_147[] = {
        "buaclient.activity.BuAInputNewPIN",
        0
    };

    static const char * const hash_bucket_148[] = {
        "LbsSetupWizard",
        "AppMainteSubstanceLockReceiver",
        0
    };

    static const char * const hash_bucket_150[] = {
        "RadioListShortValueParam",
        "ERIVersionScreen",
        0
    };

    static const char * const hash_bucket_151[] = {
        "CarHome",
        "MimUtility",
        0
    };

    static const char * const hash_bucket_152[] = {
        "LocationSettingsService",
        "mim",
        "AppMainteLockNoService",
        0
    };

    static const char * const hash_bucket_153[] = {
        "buaclient.activity.BuASetupBackupAssistant",
        "HiddenDebugMenu",
        "UimUnRecUid",
        "[Maintenance][JAVA]ProtocolMonitorView",
        0
    };

    static const char * const hash_bucket_154[] = {
        "ncmlights",
        "MemoBootUpReceiver",
        "UimUtilityUrl",
        "DigitalClockWidget1",
        0
    };

    static const char * const hash_bucket_155[] = {
        "DigitalClockWidget2",
        0
    };

    static const char * const hash_bucket_156[] = {
        "ProgramParamBase",
        "UimBrewRadiusId",
        "DigitalClockWidget3",
        0
    };

    static const char * const hash_bucket_157[] = {
        "EcoFriendly",
        "[CAMERA][APL][ERROR  ]",
        0
    };

    static const char * const hash_bucket_158[] = {
        "sensors_gp2ap012a00f",
        "MtpSyncConnectedView",
        "SecurityDataProvider",
        "FOTA-LIB",
        "UsbService",
        0
    };

    static const char * const hash_bucket_159[] = {
        "DirectoryScreen",
        "MimSetupWizardActivity",
        "LockScreen",
        0
    };

    static const char * const hash_bucket_161[] = {
        0
    };

    static const char * const hash_bucket_162[] = {
        "PollingError",
        "CameraHardwareStub",
        0
    };

    static const char * const hash_bucket_163[] = {
        "MimChatEmoticonEdit",
        0
    };

    static const char * const hash_bucket_164[] = {
        "BluetoothEnabler",
        "RadioListScreen",
        "EcidContact",
        0
    };

    static const char * const hash_bucket_165[] = {
        "ExclusionChecker",
        0
    };

    static const char * const hash_bucket_166[] = {
        "WMCService",
        0
    };

    static const char * const hash_bucket_167[] = {
        0
    };

    static const char * const hash_bucket_168[] = {
        "SlotCycleIndexParam",
        0
    };

    static const char * const hash_bucket_169[] = {
        "MimChatLayoutUtility",
        "BluetoothPairingRequest",
        "TactileKeyProvider",
        "SettingApp",
        0
    };

    static const char * const hash_bucket_170[] = {
        "GridDrawManager",
        "UnreadMessageWidgetProvider",
        "SwitcherDisplaySettings",
        0
    };

    static const char * const hash_bucket_171[] = {
        "NamNameParam",
        "[Maintenance][JNI]Protocol",
        0
    };

    static const char * const hash_bucket_172[] = {
        "GroupHeaderWidget",
        "LocationScreen",
        "GetDatabaseData",
        "UimAdsRadiusPwd",
        "PacketSmsDataConvertor",
        "AnalogClockWidgetProvider2",
        0
    };

    static const char * const hash_bucket_173[] = {
        "AnalogClockWidgetProvider3",
        0
    };

    static const char * const hash_bucket_175[] = {
        "* EditMemo *",
        "[Maintenance][JAVA]PassWord",
        0
    };

    static const char * const hash_bucket_176[] = {
        "[Maintenance][JNI]Gps",
        "GPS_MONI_SIMULATOR",
        0
    };

    static const char * const hash_bucket_177[] = {
        "AKMeasure",
        "[Maintenance][JAVA]MaintenanceNvWrapper",
        0
    };

    static const char * const hash_bucket_178[] = {
        "MimEmoticonDialog",
        0
    };

    static const char * const hash_bucket_179[] = {
        "NcmLight",
        "UimHeaderModel",
        "GPS Provider",
        0
    };

    static const char * const hash_bucket_180[] = {
        "MemberListMultiSelectActivity",
        "UimManager",
        0
    };

    static const char * const hash_bucket_182[] = {
        "MimOperatingGroupModelData",
        "StartSubHandler",
        "SendCmailInterface",
        "FOTA-MANAGER-JAVA",
        0
    };

    static const char * const hash_bucket_183[] = {
        "buaclient.service.MainService",
        "PackageStateChecker",
        "BluetoothPopupActivity",
        0
    };

    static const char * const hash_bucket_184[] = {
        "GroupListActivity",
        "buaclient.utility.BuAUtilities",
        "[CAMERA][APL][DEBUG  ]",
        0
    };

    static const char * const hash_bucket_185[] = {
        "MtpSyncApp",
        "DigitalClock",
        0
    };

    static const char * const hash_bucket_186[] = {
        "MimSavedChatListActivity",
        "GridDrawables",
        "DTMFBeepLengthParam",
        0
    };

    static const char * const hash_bucket_187[] = {
        "[Maintenance][JAVA]SystemService",
        0
    };

    static const char * const hash_bucket_188[] = {
        "MimMulticastSelectActivity",
        "[Maintenance][JNI]Password",
        "LockScreenCaller",
        0
    };

    static const char * const hash_bucket_189[] = {
        "AK8977Driver",
        "HiddenProgramMenu",
        0
    };

    static const char * const hash_bucket_190[] = {
        "sensors_pm8058therm",
        "PrlIDScreen",
        0
    };

    static const char * const hash_bucket_191[] = {
        "SetupLanguage",
        "SWVersionParam",
        "BluetoothOppShareInfo",
        "SetupLanguage",
        0
    };

    static const char * const hash_bucket_192[] = {
        "AppMainteCommonService",
        "SetupMailProvisioning",
        0
    };

    static const char * const hash_bucket_193[] = {
        "MimChatActivity",
        "StringInputParam",
        "SoftwareVersionScreen",
        0
    };

    static const char * const hash_bucket_194[] = {
        "MimResource",
        "UimBrewRadiusPwd",
        "UimMeSettingIpAddr",
        "UimMsgMdlWriteCheckNoType",
        "ClockDesign",
        0
    };

    static const char * const hash_bucket_195[] = {
        "buaclient.activity.BuADownloading",
        "[Maintenance][JAVA]SERVICE",
        "AnalogAppWidgetProvider",
        0
    };

    static const char * const hash_bucket_196[] = {
        "HudLayer",
        0
    };

    static const char * const hash_bucket_197[] = {
        "TimeBar",
        "AppMainteLockNoClearService",
        "WifiPopupActivity",
        "DigitalClockWidgetConfigure2",
        0
    };

    static const char * const hash_bucket_198[] = {
        "MimChatList",
        "WaitAllFinishSubHandler",
        0
    };

    static const char * const hash_bucket_199[] = {
        "Prl",
        0
    };

    static const char * const hash_bucket_200[] = {
        "PRLVersionScreen",
        "FOTA-DAEMON",
        0
    };

    static const char * const hash_bucket_201[] = {
        "[Maintenance][JAVA]Gps",
        "SetupTopActivity",
        0
    };

    static const char * const hash_bucket_202[] = {
        "ActivityInvoker",
        "TlsHttpsSecurityPortParam",
        "buaclient.receiver.SyncAdapterReceiver",
        "AppMainteCasioService",
        0
    };

    static const char * const hash_bucket_203[] = {
        "packageinstaller",
        0
    };

    static const char * const hash_bucket_204[] = {
        "MimDialogActivity",
        "TutorialLauncher",
        0
    };

    static const char * const hash_bucket_205[] = {
        "NvWrapper",
        "MmsDbAdapter",
        "UimAdsIpAddrCorp",
        "TutorialSettings",
        0
    };

    static const char * const hash_bucket_206[] = {
        "BluetoothOppLiveFolder",
        0
    };

    static const char * const hash_bucket_207[] = {
        "ManufacturerDateCodeParam",
        "UimMaintenanceMode",
        "SetupBackup",
        0
    };

    static const char * const hash_bucket_208[] = {
        "WarrantyDateCodeParam",
        "BootCompletedReceiver",
        0
    };

    static const char * const hash_bucket_209[] = {
        "AutoLockParam",
        "GridInputProcessor",
        "DirectoryParam",
        "[Maintenance][JNI]Conservation",
        0
    };

    static const char * const hash_bucket_210[] = {
        "buaclient.activity.BuaTermsOfUse",
        "Vold_append",
        "buaclient.activity.BuASyncInvalidPIN",
        0
    };

    static const char * const hash_bucket_212[] = {
        "AuthencationKeyScreen",
        "PhoneNumberScreen",
        "NetworkScreen",
        "UimMaintenanceCtrl",
        "[Maintenance][JNI]Qxdemabler",
        0
    };

    static const char * const hash_bucket_213[] = {
        "libds",
        0
    };

    static const char * const hash_bucket_214[] = {
        "UimOtapaReceiver",
        "WirelessPcSetting",
        0
    };

    static const char * const hash_bucket_215[] = {
        "MtpSyncConnectingView",
        0
    };

    static const char * const hash_bucket_216[] = {
        "UimEsfRadiusPwd",
        "PollingErrorCtrl",
        0
    };

    static const char * const hash_bucket_217[] = {
        "MimSavedChatActivity",
        "BluetoothOppBtEnableActivity",
        "[Maintenance][JAVA]PacketSMSMonitorView",
        0
    };

    static const char * const hash_bucket_218[] = {
        "AppMaintePcDelService",
        "sensors_bma150",
        0
    };

    static const char * const hash_bucket_219[] = {
        "MediaProfiles",
        0
    };

    static const char * const hash_bucket_220[] = {
        "MimBuddyListActivity",
        "PollingErrorModel",
        "PinAuthenticate",
        0
    };

    static const char * const hash_bucket_221[] = {
        "MimApplication",
        "QuickGroupWindow",
        0
    };

    static const char * const hash_bucket_222[] = {
        "HiddenFeatureMenu",
        "UimMeSetClear",
        "[CAMERA][APL][WARN   ]",
        0
    };

    static const char * const hash_bucket_223[] = {
        "PppServiceActivity",
        "MimDisconnectDialog",
        "WMC-native",
        0
    };

    static const char * const hash_bucket_224[] = {
        0
    };

    static const char * const hash_bucket_225[] = {
        "VoiceMemoService_Recorder",
        0
    };

    static const char * const hash_bucket_227[] = {
        "DataManager",
        "ESNParam",
        0
    };

    static const char * const hash_bucket_228[] = {
        "[Maintenance][JAVA]Sms",
        0
    };

    static const char * const * const tag_hash[] = {
        hash_bucket_0,
        hash_bucket_1,
        hash_bucket_2,
        hash_bucket_3,
        hash_bucket_4,
        0,
        0,
        0,
        hash_bucket_8,
        0,
        hash_bucket_10,
        hash_bucket_11,
        hash_bucket_12,
        hash_bucket_13,
        hash_bucket_14,
        hash_bucket_15,
        hash_bucket_16,
        hash_bucket_17,
        0,
        hash_bucket_19,
        hash_bucket_20,
        hash_bucket_21,
        hash_bucket_22,
        hash_bucket_23,
        hash_bucket_24,
        hash_bucket_25,
        hash_bucket_26,
        hash_bucket_27,
        hash_bucket_28,
        hash_bucket_29,
        0,
        hash_bucket_31,
        0,
        hash_bucket_33,
        hash_bucket_34,
        hash_bucket_35,
        hash_bucket_36,
        hash_bucket_37,
        hash_bucket_38,
        hash_bucket_39,
        hash_bucket_40,
        hash_bucket_41,
        hash_bucket_42,
        hash_bucket_43,
        hash_bucket_44,
        0,
        hash_bucket_46,
        hash_bucket_47,
        0,
        hash_bucket_49,
        hash_bucket_50,
        hash_bucket_51,
        hash_bucket_52,
        hash_bucket_53,
        0,
        hash_bucket_55,
        hash_bucket_56,
        hash_bucket_57,
        hash_bucket_58,
        hash_bucket_59,
        hash_bucket_60,
        hash_bucket_61,
        0,
        hash_bucket_63,
        hash_bucket_64,
        hash_bucket_65,
        hash_bucket_66,
        hash_bucket_67,
        hash_bucket_68,
        0,
        hash_bucket_70,
        hash_bucket_71,
        hash_bucket_72,
        hash_bucket_73,
        hash_bucket_74,
        hash_bucket_75,
        hash_bucket_76,
        hash_bucket_77,
        hash_bucket_78,
        0,
        hash_bucket_80,
        hash_bucket_81,
        hash_bucket_82,
        0,
        hash_bucket_84,
        hash_bucket_85,
        0,
        hash_bucket_87,
        hash_bucket_88,
        hash_bucket_89,
        hash_bucket_90,
        hash_bucket_91,
        hash_bucket_92,
        hash_bucket_93,
        hash_bucket_94,
        0,
        hash_bucket_96,
        hash_bucket_97,
        hash_bucket_98,
        0,
        hash_bucket_100,
        hash_bucket_101,
        hash_bucket_102,
        hash_bucket_103,
        hash_bucket_104,
        0,
        hash_bucket_106,
        hash_bucket_107,
        hash_bucket_108,
        hash_bucket_109,
        hash_bucket_110,
        hash_bucket_111,
        hash_bucket_112,
        0,
        hash_bucket_114,
        hash_bucket_115,
        hash_bucket_116,
        0,
        hash_bucket_118,
        hash_bucket_119,
        hash_bucket_120,
        hash_bucket_121,
        hash_bucket_122,
        hash_bucket_123,
        hash_bucket_124,
        hash_bucket_125,
        hash_bucket_126,
        hash_bucket_127,
        hash_bucket_128,
        0,
        hash_bucket_130,
        hash_bucket_131,
        hash_bucket_132,
        hash_bucket_133,
        hash_bucket_134,
        hash_bucket_135,
        hash_bucket_136,
        hash_bucket_137,
        0,
        hash_bucket_139,
        hash_bucket_140,
        hash_bucket_141,
        hash_bucket_142,
        hash_bucket_143,
        hash_bucket_144,
        hash_bucket_145,
        hash_bucket_146,
        hash_bucket_147,
        hash_bucket_148,
        0,
        hash_bucket_150,
        hash_bucket_151,
        hash_bucket_152,
        hash_bucket_153,
        hash_bucket_154,
        hash_bucket_155,
        hash_bucket_156,
        hash_bucket_157,
        hash_bucket_158,
        hash_bucket_159,
        0,
        hash_bucket_161,
        hash_bucket_162,
        hash_bucket_163,
        hash_bucket_164,
        hash_bucket_165,
        hash_bucket_166,
        hash_bucket_167,
        hash_bucket_168,
        hash_bucket_169,
        hash_bucket_170,
        hash_bucket_171,
        hash_bucket_172,
        hash_bucket_173,
        0,
        hash_bucket_175,
        hash_bucket_176,
        hash_bucket_177,
        hash_bucket_178,
        hash_bucket_179,
        hash_bucket_180,
        0,
        hash_bucket_182,
        hash_bucket_183,
        hash_bucket_184,
        hash_bucket_185,
        hash_bucket_186,
        hash_bucket_187,
        hash_bucket_188,
        hash_bucket_189,
        hash_bucket_190,
        hash_bucket_191,
        hash_bucket_192,
        hash_bucket_193,
        hash_bucket_194,
        hash_bucket_195,
        hash_bucket_196,
        hash_bucket_197,
        hash_bucket_198,
        hash_bucket_199,
        hash_bucket_200,
        hash_bucket_201,
        hash_bucket_202,
        hash_bucket_203,
        hash_bucket_204,
        hash_bucket_205,
        hash_bucket_206,
        hash_bucket_207,
        hash_bucket_208,
        hash_bucket_209,
        hash_bucket_210,
        0,
        hash_bucket_212,
        hash_bucket_213,
        hash_bucket_214,
        hash_bucket_215,
        hash_bucket_216,
        hash_bucket_217,
        hash_bucket_218,
        hash_bucket_219,
        hash_bucket_220,
        hash_bucket_221,
        hash_bucket_222,
        hash_bucket_223,
        hash_bucket_224,
        hash_bucket_225,
        0,
        hash_bucket_227,
        hash_bucket_228,
    };

    static const char *getter(const char *s) {
        const char * const * const bucket =
                tag_hash[hasher((unsigned char *)s) %
                     (sizeof(tag_hash) / sizeof(char **))];
        const char * const *p;

        if (bucket == 0)
            return 0;
        for (p = bucket; *p != 0; ++p)
            if (strcmp(*p, s) == 0)
                return *p;
        return 0;
    }
